### Method

# Cogl Framebuffer orthographic

#### Declaration [src]

    void
    cogl_framebuffer_orthographic (
      CoglFramebuffer* framebuffer,
      float x_1,
      float y_1,
      float x_2,
      float y_2,
      float near,
      float far
    )

#### Description [src]

Replaces the current projection matrix with an orthographic projection matrix.

#### Parameters

`x_1`

  Type: `float`

  The x coordinate for the first vertical clipping plane.

`y_1`

  Type: `float`

  The y coordinate for the first horizontal clipping plane.

`x_2`

  Type: `float`

  The x coordinate for the second vertical clipping plane.

`y_2`

  Type: `float`

  The y coordinate for the second horizontal clipping plane.

`near`

  Type: `float`

  The distance to the near clipping plane (will be negative if the plane is behind the viewer).

`far`

  Type: `float`

  The distance to the far clipping plane (will be negative if the plane is behind the viewer).